<?php	
// Notice: StandardFormat is: 	names -> small-caps and ("AUTHOR1, AUTHOR2 , ... und AUTHOR3")
//								title -> italic,
//								everything else -> UNFORMATED

if (!isset($lang)) $lang = "en";

$language = array("and" => array("de" => "und", "en" => "and"),
				  "chapter" => array("de" => "Kap.", "en" => "Chap."));

							   
$specialFormat = array( "author" => array("~(.*?)($|(\s(and)\s))~m","return implode(', ',array_slice(\$match,0,count(\$match)-1)).(count(\$match) > 1 ? ' ".$language["and"][$lang]." ' : '').array_pop(\$match);"),
						"publisher" => array("~(.*?)($|(\s(and)\s))~m","return implode(', ',array_slice(\$match,0,count(\$match)-1)).(count(\$match) > 1 ? ' ".$language["and"][$lang]." ' : '').array_pop(\$match);"),
						"editor" => array("~(.*?)($|(\s(and)\s))~m","return implode(', ',array_slice(\$match,0,count(\$match)-1)).(count(\$match) > 1 ? ' ".$language["and"][$lang]." ' : '').array_pop(\$match);"));
			
$format = array( "article" => "[%author%: ][%title%][, %journal%][, %year%][, %volume%][, %pages%].",
				 "book" => "[%author%: ][%title%][, %publisher%][, %year%][, %volume%].",
				 "misc" => "[%author%: ][%title%][, %howpublished%][, %year%].",
				 "conference" => "[%author%: ][%title%][, %booktitle%][, %pages%][, %publisher%][, %year%].",
				 "phdthesis" => "[%author%: ][%title%][, %type%][, %school%][, %year%].",
				 "inbook" => "[%author%: ][%title%][, ".$language["chapter"][$lang]." %chapter%][, %pages%][. %editor%][, %publisher%][, %year%]."); 
				
$css["inbook"]["chapter"] = "font-size: 13px; font-family:'Courier New';";


// Code Filter
// Usable for LaTeX specific codes like {\"u}

/*$replace = array('{\"o}' => "&ouml;",
				 '{\"u}' => "$uuml;",
				 '{\"a}' => "&auml;");*/
$replace = array('\{\\\\"([aouAOU])\}' => '&\1uml;');

?>